E2B
List snapshots
List your snapshots, filtered by user alias or platform snapshot ID.
GET
/e2b/snapshots● SupportedRequest parameters
sandboxIDstring可选query: Filter by source sandbox ID.
namestring可选query: Filter by the original user alias or platform snap_ snapshot ID.
limitinteger可选query: Maximum snapshots per page.
nextTokenstring可选query: Cursor from the previous response's X-Next-Token header.
Returns
200
Errors follow the E2B format — see error codes
Response
HTTP 200
Successfully returned snapshots
application/json
| Name | Type | Description |
|---|---|---|
| [].snapshotID | string | Identifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default). |
| [].names | array<string> | Full names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2) |